Authentication & Scope
Requires thesessions-write ability.
Request
Body Parameters
Response
201 Created – The newly created session.
After creating a session, add documents using the Create Document endpoint.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new extraction session for a template.
sessions-write ability.
POST /extractions/sessions HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
Content-Type: application/json
{
"name": "Q1 2024 Invoices",
"extraction_template_id": "550e8400-e29b-41d4-a716-446655440000"
}
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Session name |
extraction_template_id | uuid | Yes | Template to use for extraction |
201 Created – The newly created session.
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Q1 2024 Invoices",
"extraction_template_id": "550e8400-e29b-41d4-a716-446655440000",
"settings": {},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"documents": [],
"results": []
}
